Name:           perl-MooseX-AttributeShortcuts
Version:        0.028
Release:        3%{?dist}
Summary:        Shorthand for common Moose attribute options
License:        LGPLv2
Group:          Development/Libraries
URL:            http://metacpan.org/release/MooseX-AttributeShortcuts/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/MooseX-AttributeShortcuts-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(aliased)
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(Moose) >= 1.14
BuildRequires:  perl(Moose::Exporter)
BuildRequires:  perl(Moose::Meta::TypeConstraint)
BuildRequires:  perl(Moose::Util::MetaRole)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Meta::TypeConstraint::Mooish)
BuildRequires:  perl(MooseX::Role::Parameterized)
BuildRequires:  perl(MooseX::Types::Common::String)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Package::DeprecationManager)
# Tests only:
BuildRequires:  perl(blib)
BuildRequires:  perl(constant)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(MooseX::Types::Path::Class)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::Moose::More) >= 0.018
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::Warn)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Ever find yourself repeatedly specifying writers and builders, because there's
no good shortcut to specify them? Sometimes you want an attribute to have
a read-only public interface, but a private writer. And wouldn't it be easier
to just say "builder => 1" and have the attribute construct the canonical
"_build_$name" builder name for you?

This package causes an attribute trait to be applied to all attributes defined
to the using class. This trait extends the attribute option processing to
handle the above variations.


%prep
%setup -q -n MooseX-AttributeShortcuts-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.028-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.028-2
- Perl 5.22 rebuild

* Wed Apr 08 2015 Petr Pisar <ppisar@redhat.com> - 0.028-1
- 0.028 bump

* Thu Mar 12 2015 Petr Pisar <ppisar@redhat.com> - 0.027-1
- 0.027 bump

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.024-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.024-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 07 2014 Petr Pisar <ppisar@redhat.com> - 0.024-1
- 0.024 bump

* Mon Apr 14 2014 Petr Pisar <ppisar@redhat.com> - 0.023-1
- 0.023 bump

* Tue Oct 01 2013 Petr Pisar <ppisar@redhat.com> - 0.022-1
- 0.022 bump

* Tue Sep 10 2013 Petr Pisar <ppisar@redhat.com> - 0.021-1
- 0.021 bump

* Tue Aug 27 2013 Petr Pisar <ppisar@redhat.com> - 0.020-1
- 0.020 bump

* Wed Aug 07 2013 Petr Pisar <ppisar@redhat.com> - 0.019-3
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.019-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 22 2013 Petr Pisar <ppisar@redhat.com> - 0.019-1
- 0.19 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.017-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 29 2012 Petr Pisar <ppisar@redhat.com> - 0.017-1
- 0.017 bump

* Mon Aug 27 2012 Petr Pisar <ppisar@redhat.com> - 0.015-1
- 0.015 bump

* Fri Aug 17 2012 Petr Pisar <ppisar@redhat.com> - 0.014-1
- 0.014 bump

* Mon Jul 23 2012 Jitka Plesnikova <jplesnik@redhat.com> - 0.013-1
- 0.013 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.010-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.010-2
- Perl 5.16 rebuild

* Tue Apr 10 2012 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Mon Jan 23 2012 Petr Pisar <ppisar@redhat.com> - 0.008-1
- 0.008 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 01 2011 Petr Pisar <ppisar@redhat.com> - 0.006-1
- 0.006 bump

* Thu Sep 29 2011 Petr Pisar <ppisar@redhat.com> 0.005-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot and defattr spec code
